You are not logged in.

#1 2013-04-22 13:02:58

kevdog
Member
Registered: 2013-01-26
Posts: 46

Borked Gnome Panel with recent pacman upgrade

I'm using cinammon ontop of gnome3.

I did a recent packman -Syu upgrade this morning

I get to the gnome login screen -- type the password -- and then after about a few minutes get a Oh no, Something has gone wrong screen popup -- but the funny thing is later I see the cairo dock appear with the various icons, and can even open up a program -- but have no control of moving the frame which I think is window manager functions.

I looked in pacman.log and the following packages were upgraded:
yelp
gnome-user-docs
nome-user-share
gnupg
gpgme
libgee06
gwibber
libsocialweb
libusbx
linux
linux-headers
linux-lts-headers
llbm
metacity
libnautilus-extension
nautilus
notification-daemon
p11-kit
sip
python2-sip
qtwebkit
texlive-core
totem
totem-plugin
udisks2
webkitgtk2
wine

I didn't post the version numbers (which I can) since I'm typing this by hand.  It appears the kernel can boot just fine since I can get to a command prompt without a problem and such.  This in my opinion would seem like a window manager issue.  I could possibly downgrade all the gnome items, however the only item I'm missing is libnautilus-extension where this package wasn't kept within /var/cache/pacman/pkg. 

Is there a log file that the window manager logs to (journalctl??).

Offline

#2 2013-04-22 15:19:52

superchango
Member
From: Tenochtitlan
Registered: 2009-01-22
Posts: 131

Re: Borked Gnome Panel with recent pacman upgrade

Cinnamon works with Gnome 3.4 and with some hacks with Gnome 3.6 but today Arch has Gnome 3.8. At this moment Cinnamon is not compatible with it.

If you want to use it, you need to downgrade to 3.6.


"Yo creo que los muertos son tiernos. ¿Nos besamos?"

Offline

#3 2013-04-22 23:36:14

kevdog
Member
Registered: 2013-01-26
Posts: 46

Re: Borked Gnome Panel with recent pacman upgrade

I didn't know that -- how would I downgrade?  I tried downgrading a few of the packages listed, however that didn't seem to work.  Maybe its just time to install a new desktop like either Gnome 3 or XCFE.

Offline

#4 2013-04-23 00:13:46

tehgeek
Member
Registered: 2013-02-24
Posts: 11

Re: Borked Gnome Panel with recent pacman upgrade

superchango wrote:

Cinnamon works with Gnome 3.4 and with some hacks with Gnome 3.6 but today Arch has Gnome 3.8. At this moment Cinnamon is not compatible with it.

If you want to use it, you need to downgrade to 3.6.

According to a Trusted User in this thread [ Cinnamon desktop is incompatible with Gnome 3.8? ]. Cinnamon has been patched for 3.8 as of yesterday at least.

Offline

#5 2013-04-23 02:39:52

kevdog
Member
Registered: 2013-01-26
Posts: 46

Re: Borked Gnome Panel with recent pacman upgrade

I'm really angry -- I went through and manually reinstalled or downgraded all the packages mentioned in the /var/log/pacman.log file from the update -- and there were a lot of them -- and couldn't downgrade libsoup or libsoup.gnome.  I still have a borked system with the Oh no! Something has gone wrong screen. 

Frankly I'm shocked the package maintainers let this upgrade through.  I see I'm not the only one with this problem.  It's super annoying.

Offline

#6 2013-04-23 07:29:07

opensrcrox
Member
Registered: 2012-08-10
Posts: 32

Re: Borked Gnome Panel with recent pacman upgrade

Errr, that's interesting.
You are angry that Linux Mint-oriented Cinnamon ( that is NOT meant for Gnome 3.8.1 .... isn't running on official Gnome 3.8.1 ? )
If you recall, even Mint's upstream ( Ubuntu ) wouldn't be running Gnome 3.8 for its upcoming version ( 13.04 ) .... they decided to stick with 3.6.
The arch Cinnamon maintainers are practically doing you a favor by attempting to somehow make it work with Gnome 3.8.
Instead of being super-annoyed, try being a little patient smile

Offline

#7 2013-04-23 11:32:57

kevdog
Member
Registered: 2013-01-26
Posts: 46

Re: Borked Gnome Panel with recent pacman upgrade

I suppose the same could be said with Gnome3 ?? That leads me to the same place.  Thank goodness for lxde.

Offline

Board footer

Powered by FluxBB